from pathlib import Path
from setuptools import setup

here = Path(__file__).absolute().parent

with open(str(here.joinpath('README.rst')), encoding='utf-8') as f:
    long_description = f.read()

with open(str(here.joinpath('requirements/requirements.txt')),
          encoding='utf-8') as f:
    install_requires = f.read()

description = 'Command line Weather (cmw)'

setup(
    name='cmw',
    exclude_package_data={'': ['.gitignore', 'requirements/', 'setup.py']},
    version_format='{tag}_{gitsha}',
    setup_requires=['setuptools-git', 'setuptools-git-version'],
    license='BSD',
    author='Elia El Lazkani',
    author_email='eliaellazkani@gmail.com',
    url='keybase://private/elazkani/cmw',
    python_requires='>=python3.5',
    description=description,
    long_description=long_description,
    install_requires=install_requires,
    entry_points={
        'console_scripts': [
            'cmw = cmw.cmw:main'
        ]
    },
    packages=['cmw'],
    classifiers=[
        'Development Status :: 4 - Beta',
        'License :: OSI Approved :: BSD License',
        'Operating System :: POSIX :: Linux',
        'Operating System :: MacOS :: MacOS X',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Environment :: Console',
        'Intended Audience :: Information Technology',
        'Intended Audience :: System Administrators'
    ],
    zip_safe=False
)
